<div id="<%= dom_id lesson %>">
  
  
  <div class="container mt-4">
  <div class="row">
    <div class="col-md-12">
      <h2><strong>Title:</strong> <%= lesson.title %></h2>

      <h4><strong>Description:</strong></h4> 

      <%= lesson.description.html_safe %>

      <div style="position: relative; padding-bottom: 56.25%; height: 0; overflow: hidden;">
        <iframe
          class="embed-responsive-item"
          src="<%= lesson.video_url %>"
          title="YouTube video player"
          frameborder="0"
          allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
          allowfullscreen
          style="position: absolute; top: 0; left: 0; width: 100%; height: 100%;"
        ></iframe>
      </div>
      
      <br/>
  </div>
  <div class="row">


      <h3> Add Comments and Rating </h3>

      <hr/>

      <%= form_with(model: [ @lesson, Comment.new ], local: true) do |form| %>
        <div class="form-group">
          <%= form.text_area :comment_text, class: "form-control", rows: 4, placeholder: "Add your comment" %>
        </div>
        <div class="form-group">
          <br/>
          <strong>Rating:</strong><br>
          <% (1..5).each do |rating| %>
            <div class="form-check form-check-inline">
              <%= form.radio_button :rating, rating, class: "form-check-input" %>
              <%= form.label :rating, rating, value: rating, class: "form-check-label" %>
            </div>
          <% end %>
        </div>
        <br/>
        <% if current_user %>
          <%= form.hidden_field :user_email, value: current_user.email, rows: "20" %>
        <% else %>
          <div class="form-group">
            <%= form.text_field :user_email, class: "form-control", placeholder: "Your email" %>
          </div>
        <% end %>
        <div class="form-group">
          <%= form.file_field :image, class: "form-control-file" %>
        </div>
        <br/>
        <%= form.submit "Post Comment", class: "btn btn-primary" %>
      <% end %>
    </div>
  </div>
</div>

  <br/><br/>
  </div>
  <div class="row">

  <div class="list-group">
  <h3 class="list-group-item list-group-item-action active">Comment</h3>

  <% @lesson.comments.each do |comment| %>
    <div class="list-group-item">
      <div>

        <p><strong><%= comment.user_email %></strong> <%= comment.created_at.strftime("%d %b %Y %H:%M:%S") %> Rating: 


        <% 5.times do |i| %>
          <% if i < comment.rating %>
            <i class="fas fa-star" style="color: yellow;"></i> <!-- Filled star -->
          <% else %>
            <i class="far fa-star" style="color: yellow;"></i> <!-- Empty star -->
          <% end %>
        <% end %>

        <%= comment.comment_text.html_safe %> </p>

      </div>
      <% if comment.image.attached? %>
        <div class="mt-3">
          <%= image_tag comment.image, height: "200", style: "width: auto; border-radius: 10px;" %>
        </div>
      <% end %>
      <br/>
    </div>
    <br/>
  <% end %>
  
</div>

